<?php
/*	sheets : OneTime Url
	name : OneTime URL
	author: team1/3
	
*/

	global $params,$config,$html,$ut;

	if (!isset($config)) { die(); }

	if (!check_rights()) {
		if (isset($_GET['k']) && $_GET['k'] == $params['page']['meta']['onetimeurl']['url']) {
			if (!empty($params['page']['meta']['onetimeurl']['read'])) {
				$t = strtotime($params['page']['meta']['onetimeurl']['read']['date']);
				if ($t+60 < time() || $params['page']['meta']['onetimeurl']['read']['ip'] != $_SERVER['REMOTE_ADDR']) {
					exit_proc();
				}
			}
			if (empty($params['page']['meta']['onetimeurl']['read']['date'])) {
				$params['page']['meta']['onetimeurl']['read']['date'] = $params['now'];
			}
			$params['page']['meta']['onetimeurl']['read']['ip'] = '...';
			if (isset($_SERVER['REMOTE_ADDR'])) {
				$params['page']['meta']['onetimeurl']['read']['ip'] = $_SERVER['REMOTE_ADDR'];
			}
			mod_data_items($params['page']);
		} else {
			exit_proc(505);
		}
	} else {

		if (!isset($params['page']['meta']['onetimeurl'])) {
			$otoken = mt_rand( 1000000, mt_getrandmax() );
			$otoken = hash('sha1',$otoken);
			$params['page']['meta']['onetimeurl']['url'] = hash('sha256', $otoken);
			mod_data_items($params['page']);
		}
		$buff = '';
		if (empty($params['page']['meta']['onetimeurl']['read'])) {
$buff .= <<<EOT
			<div class='onetimeurl'>
				<a href='{$ut->link($params['page']['id'],"&:k=".$params['page']['meta']['onetimeurl']['url'])}' >
				{$ut->icon('lock')} OneTime Url</a>
			</div>
EOT;
		} else {
$buff .= <<<EOT
			<div class='onetimeurl'>
				<p>Read : {$params['page']['meta']['onetimeurl']['read']['date']}</p>
				<p>IP : {$params['page']['meta']['onetimeurl']['read']['ip']}</p>
				<p><input type='button' value='Clear' class='onethird-button mini' onclick='ot.clear_onetimeurl()' /></p>
			</div>
EOT;
		}
		$html['article']['onetimeurl'] = $buff;
		
		$buff = '';
$buff .= <<<EOT
		<style>
			.onetimeurl {
				position: fixed;
				top: 20px;
				right: 0;
				background-color: #828080;
				border-radius: 8px 0 0 8px;
				padding: 10px 25px 10px 22px;
				color: #fff;
				font-size: 14px;
			}
			.onetimeurl a {
				color:#fff;
			}
			.onetimeurl img {
				vertical-align: top;
			}
		</style>
EOT;
		$html['css']['onetimeurl'] = $buff;
		
		if (isset($_POST['ajax']) && $_POST['ajax'] == 'clear_onetimeurl')  {
			$r = array();
			$r['result'] = true;
			$params['page']['meta']['onetimeurl']['read'] = array();
			mod_data_items($params['page']);
			echo(json_encode($r));
			exit();
		}

		$buff = '';
$buff .= <<<EOT
		<script>
			ot.clear_onetimeurl = function() {
				ot.ajax({
					type: "POST"
					, url: '{$_SERVER['REQUEST_URI']}'
					, data: "ajax=clear_onetimeurl"
					, dataType:'json'
					, success: function(data){
						if (data && data['result'] ) {
							location.reload(true);
						} else {
							alert('error');
						}
					}
				});
			}
		</script>
EOT;
		$html['meta']['onetimeurl'] = $buff;
	}

?>